Module org.firebirdsql.jaybird
Package org.firebirdsql.jaybird.parser

# Enum Class LocalStatementClass

java.lang.Object
java.lang.Enum<LocalStatementClass>
org.firebirdsql.jaybird.parser.LocalStatementClass

All Implemented Interfaces:
  `Serializable`, `Comparable<LocalStatementClass>`, `Constable`

@InternalApi public enum LocalStatementClass extends Enum<LocalStatementClass>
Class of `LocalStatementType`.

The types of this enum are decided by the needs of Jaybird, and do not necessarily cover all statement classes.

Since:
  6
Author:
  Mark Rotteveel

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DML`
`TRANSACTION_BOUNDARY`
`UNKNOWN`

## Method Summary

Modifier and Type
Method
Description
`static LocalStatementClass`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static LocalStatementClass[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DML

public static final LocalStatementClass DML

### TRANSACTION_BOUNDARY

public static final LocalStatementClass TRANSACTION_BOUNDARY

### UNKNOWN

public static final LocalStatementClass UNKNOWN

## Method Details

### values

public static LocalStatementClass[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static LocalStatementClass valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null